--------------------------------------------------------------------------------
LIBRARY IEEE;
USE IEEE.Std_Logic_1164.all;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ENTITY Configurable_U6 IS
  PORT(
      I0_B : IN std_logic_vector(3 downto 0);
      I1_B : IN std_logic_vector(2 downto 0);
      O : OUT std_logic_vector(6 downto 0)
  );
END Configurable_U6;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ARCHITECTURE structure OF Configurable_U6 IS
BEGIN
    O(0) <= I0_B(0);
    O(1) <= I0_B(1);
    O(2) <= I0_B(2);
    O(3) <= I0_B(3);
    O(4) <= I1_B(0);
    O(5) <= I1_B(1);
    O(6) <= I1_B(2);
END structure;
--------------------------------------------------------------------------------
